Bug 607584 - Review Request: wordgroupz - A vocabulary building application
Summary: Review Request: wordgroupz - A vocabulary building application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-24 12:43 UTC by Ratnadeep Debnath
Modified: 2010-12-05 00:38 UTC (History)
4 users (show)

Fixed In Version: wordgroupz-0.3.1-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 18:21:28 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Ratnadeep Debnath 2010-06-24 12:43:53 UTC
Spec URL: http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM URL: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.2-1.fc13.src.rpm
Description: wordgroupz is vocabulary building application written in gtk and python. Here, you can store the words that you come across in groups. Thus you can remember words easily based on its group. This will be helpful for learning vocabulary for some standard tests.

Comment 1 Mamoru TASAKA 2010-07-02 18:00:06 UTC
Some notes:

* BuildRoot
  - On Fedora "BuildRoot" tag is no longer used and can be removed
    (even if rpmlint may complain if you remove it)
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
    - If you want to import this package also into EPEL, BuildRoot tag
      is still needed.

* License tag
  - As far as I checked the whole codes, the license tag should be
    "GPLv2+".

* BuildRequires for python
  - Please use "BuildRequires: python2" instead of "BR: python", c.f.
    https://fedoraproject.org/wiki/Packaging/Python#BuildRequires

* BuildRequires v.s. Requires
  - Please check if the dependencies you wrote in the spec file is
    for BuildRequires or for Requires.
    - BuildRequires are the packages required when rebuilding srpm,
      while Requires are the packages required when installing the rebuilt
      binary rpm (i.e. when using the software).
      For example, actually your srpm builds only with "BR: python2":
      http://koji.fedoraproject.org/koji/taskinfo?taskID=2289162

      However without pygtk2 this package won't work (i.e. wordgroupz won't
      run), this means pygtk2 should be in "Requires", not in "BuildRequires".

  ! On F-12+, sqlite3 module is already in "python" package, so "Requires: python-sqlite"
    is redundant. Also gtk2 package is always required by pygtk2, so "Requires: gtk2"
    is unneeded.

* CFLAGS
  - This is noarch package, so 'env CFLAGS="$RPM_OPT_FLAGS"
    is not needed.

* Installing desktop files
  - When a package contains desktop file, "desktop-file-{install,validate}" must
    be used and "BR: desktop-file-utils" must be included:
    https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

* Desktop file
  - "Application" category in desktop file is deprecated and should
    be removed.

* Directory ownership issue
  - Please make it sure that all directories which are newly created when installing
    this package are correctly owned by this package:
    https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
    https://fedoraproject.org/wiki/Packaging:UnownedDirectories#Common_Mistakes
    - The directory %{_datadir}/wordgroupz/ itself is not owned by any packages.

* Permission
  - rpmlint complains:
----------------------------------------------------------------------------------
wordgroupz.noarch: E: script-without-shebang /usr/share/wordgroupz/wordgroupz.glade
wordgroupz.noarch: E: script-without-shebang /usr/share/applications/wordgroupz.desktop
----------------------------------------------------------------------------------
    This is because these files have executable permissin (0755) but it must not.
    Also .png file has 0755 permission, which should be 0644. Please fix the permission.

Comment 2 Mamoru TASAKA 2010-07-09 18:43:02 UTC
ping?

Comment 3 Ratnadeep Debnath 2010-07-11 15:06:59 UTC
(In reply to comment #2)
> ping?    

pong

I was working on some new code of wordGroupz. Will update the rpms.
Thanks.

Comment 4 Ratnadeep Debnath 2010-07-23 18:35:11 UTC
Thanks Mamoru Tasaka for reviewing

Today I released wordgroupz v 0.3b. 
I changed the SPEC file as suggested.

Spec URL: http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM URL: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3b-1.fc13.src.rpm
Koji Scratch Build URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=2346894

Comment 5 Ratnadeep Debnath 2010-07-24 12:38:17 UTC
Updated wordgroupz spec today.
Included new dependencies: python-BeautifulSoup, gstreamer-python, gstreamer-python-devel

Comment 6 Mamoru TASAKA 2010-07-24 12:53:19 UTC
I have not checked your latest srpm yet, however if you modified
your spec file, please also upload the corresponsing srpm.

Comment 7 Mamoru TASAKA 2010-07-24 19:57:39 UTC
For 0.3b-1:

* BuildRoot tag
  - As I said in the previous comment, BuildRoot tag is no longer
    needed on Fedora, only needed on EPEL-5.
    If you want to import this package only into Fedora 12-14, please
    remove BuildRoot tag.

* BuildRequires
  - Please list BuildRequires which are really needed when building
    this srpm.
    As far as I checked, "BR: python2-devel desktop-file-utils" is
    enough
    - i.e. "BR: gstreamer-python-devel pygtk2,  gtk2" is unneeded.

* Unneeded Obsoletes
  - "Obsoletes: %{name} < 0.3b" is unneeded and should be removed.

* %setup
  - By default %setup uses %{name}-%{version} for default directory and
    "-n %{name}-%{version}" part is unneeded.

* Directory ownership issue
  - Still the directory %{_datadir}/wordgroupz/ itself is not owned
    by any packages:
    https://fedoraproject.org/wiki/Packaging/UnownedDirectories#Wildcarding_Files_inside_a_Created_Directory

* Desktop file
  - As I said in the previous comment, "Application" in "Categories" item
    is deprecated and should be removed.

* %changelog
  - Please make the last entry of %changelog match the current EVR
    (Epoch-Version-Release) of the spec file
    (%changelog says the latest is 0.3b-2, while current EVR is 0.3b-1)

  - It is recommended (for Fedora VCS) that you put one line between
    each %changelog entry like
------------------------------------------------------------------------------
* Sat Jul 24 2010 rtnpro <rtnpro@gmail.com> 0.3b-2
- Included dependencies for pygst and beautifulsoup

* Fri Jul 23 2010 rtnpro <rtnpro@gmail.com> 0.3b-1
- Release version 0.3b

* Thu Jun 24 2010 rtnpro <rtnpro@gmail.com> 0.2-1
- Initial RPM package------------------------------------------------------------------------------

Comment 8 Ratnadeep Debnath 2010-07-25 21:01:06 UTC
Thanks again  Mamoru Tasaka,

I have updated the SRPM and SPEC files.
SPEC Url: http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM Url: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3b-2.fc13.src.rpm

But, I didn't get why "Obsoletes" is unneeded. How will the older versions be removed then? Many package SPECS still use this.

Comment 9 Mamoru TASAKA 2010-07-26 16:15:18 UTC
(In reply to comment #8)
> But, I didn't get why "Obsoletes" is unneeded. How will the older versions be
> removed then? 

- "# rpm -F" "# rpm -U" "# yum update (upgrade)" all handles this
  just as expected.

For 0.3b-2:

* Unneeded comments / macros in comments
-----------------------------------------------------------------
wordgroupz.src:13: W: macro-in-comment %{_tmppath}
wordgroupz.src:13: W: macro-in-comment %{name}
wordgroupz.src:13: W: macro-in-comment %{version}
wordgroupz.src:13: W: macro-in-comment %{release}
wordgroupz.src:20: W: macro-in-comment %{name}
-----------------------------------------------------------------
  - These warnings are raised because macros are used in comment line
    without being escaped. Macros are expanded even in comment lines
    and this sometimes causes unexpected errors.

    Please use %% instead of % in comment lines, or just remove
    unneeded comment lines.

* Requires
  - "Requires: gtk" matches none of the packages on Fedora so this
    must be removed. Also, "Requires: gtk2" is unneeded 
    because pygtk2 requires gtk2.

* desktop file
  - Again as I said in the previous comment, "Application" in "Categories"
    item in %_datadir/applications/%name.desktop is redundant and should
    be removed.

Comment 10 Mamoru TASAKA 2010-08-05 15:49:35 UTC
ping?

Comment 11 Mamoru TASAKA 2010-08-15 16:27:16 UTC
ping again?

Comment 12 Ratnadeep Debnath 2010-08-29 11:09:57 UTC
Hi,

Today, I made an RPM for the latest wordgroupz codebase and included the above mentioned changes.
SPEC: http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3b-4.fc13.src.rpm

Comment 13 Mamoru TASAKA 2010-08-29 18:15:03 UTC
For 0.3b-4:

* Source tarball
--------------------------------------------------------------
26340 wordgroupz-0.3b-1.fc13.src/wordgroupz-0.3b.tar.gz
50345 wordgroupz-0.3b-4.fc13.src/wordgroupz-0.3b.tar.gz
--------------------------------------------------------------
  - What happened here? Tarball itself must not be released
    until the version number is changed. 

    If you are the upstream
    and you modified the source codes themselves, please change
    the version number of the tarball to avoid confusion.

* Macros in comments
  - As I said in my previous comment, rpmlint still complaints:
--------------------------------------------------------------
wordgroupz.src:13: W: macro-in-comment %{_tmppath}
wordgroupz.src:13: W: macro-in-comment %{name}
wordgroupz.src:13: W: macro-in-comment %{version}
wordgroupz.src:13: W: macro-in-comment %{release}
wordgroupz.src:21: W: macro-in-comment %{name}
--------------------------------------------------------------
    The lines 13 and 21 are no longer needed. Please remove these unneeded
    comments.
    - If you want to keep these comments, please use %% instead of %
      in comments so that macros won't be expanded.

* Requires
  - For "Requires: python-sqlite2"
    wordgroupz.py says:
--------------------------------------------------------------
    19  import sqlite3
--------------------------------------------------------------
    This uses sqlite3, not sqlite2, so "Requires: python-sqlite2" is not needed.
    Also "sqlite3" module is already in python rpm.

  - For "Requires: python-matplotlib"
    Why is this needed? It seems that the lines related to matplotlib are
    all commented out.

* desktop file,
  - As I said before, "Application" in "Categories"
    item in %_datadir/applications/%name.desktop is redundant and should
    be removed.

* Unneeded shebangs
---------------------------------------------------------------
wordgroupz.noarch: E: non-executable-script /usr/share/wordgroupz/espeak.py 0644L /bin/env
wordgroupz.noarch: E: non-executable-script /usr/share/wordgroupz/games.py 0644L /usr/bin/evn
wordgroupz.noarch: E: non-executable-script /usr/share/wordgroupz/get_fields.py 0644L /usr/bin/env
wordgroupz.noarch: E: non-executable-script /usr/share/wordgroupz/html2text.py 0644L /usr/bin/env
wordgroupz.noarch: W: no-manual-page-for-binary wordgroupz
---------------------------------------------------------------
  - Shebangs on these files are unneeded because these scripts don't have exectuable
    permission. Also some files have wrong shebangs, anyway these shebangs should be removed.

Comment 14 Mamoru TASAKA 2010-09-11 16:15:47 UTC
ping?

Comment 15 Mamoru TASAKA 2010-09-22 17:17:08 UTC
ping again?

Comment 16 Ratnadeep Debnath 2010-09-23 04:39:47 UTC
(In reply to comment #15)
> ping again?

Sorry, after I released wordgroupz v 0.3, I got involved in working for an application for maintaining donation details for an NGO, and then I sugarified wordgroupz.

SRPM Url: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3-1.fc13.src.rpm
SPEC Url: http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec

Sorry again for the delay.

Comment 17 Mamoru TASAKA 2010-09-24 19:13:32 UTC
For 0.3-1

* License
  - html2text.py is under GPLv3, this makes the whole license tag
    as just "GPLv3".

! Versioning
  - Current EVR (Epoch-Version-Release) 0.3-1%{?dist} is correct

    However, it seems that the previous tarball "0.3b" was the pre-release
    version of "0.3". In such case, it is not right to use "0.3b" as
    the version number of rpm, because rpm treats that "0.3b" is higher
    than "0.3". Please check:
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

Comment 18 Mamoru TASAKA 2010-10-14 18:21:51 UTC
ping?

Comment 19 Ratnadeep Debnath 2010-10-15 03:01:09 UTC
(In reply to comment #17)
> For 0.3-1
> 
> * License
>   - html2text.py is under GPLv3, this makes the whole license tag
>     as just "GPLv3".
I have updated the license to GPLv3

>     However, it seems that the previous tarball "0.3b" was the pre-release
>     version of "0.3". In such case, it is not right to use "0.3b" as
>     the version number of rpm, because rpm treats that "0.3b" is higher
>     than "0.3". Please check:
>    
> https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

How do I fix this history? Do I change the changelog, and the previous source files?

Comment 20 Ratnadeep Debnath 2010-10-15 07:03:04 UTC
SPEC Url : http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM url: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3-3.fc13.src.rpm

I have updated wordgroupz code a bit. I got rid of the python-nltk dependency. I extracted only the code required for accessing wordnet dictionary from python-nltk. So will this new update be considered as a post release? In the Naming Guidelines, the naming format of post releases is given to be %{X}.%{posttag}. But if I change the wordgroupz version number from 0.3 to 0.3.1, then do I still require postag?

Or will %{release-number}%{?dist} will suffice for the Release field?

Comment 21 Mamoru TASAKA 2010-10-15 18:57:00 UTC
(In reply to comment #20)
> SPEC Url : http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
> SRPM url:
> http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3-3.fc13.src.rpm
> 
> I have updated wordgroupz code a bit. I got rid of the python-nltk dependency.
> I extracted only the code required for accessing wordnet dictionary from
> python-nltk. So will this new update be considered as a post release? In the
> Naming Guidelines, the naming format of post releases is given to be
> %{X}.%{posttag}. But if I change the wordgroupz version number from 0.3 to
> 0.3.1, then do I still require postag?
> 
> Or will %{release-number}%{?dist} will suffice for the Release field?

Well, what is pre-release or post-release is actually what
the upstream (in this case you).
- If you once released 0.3 and then released 0.3a, then 0.3a is a
  post-release of 0.3, and when using 0.3a tarball for rpm,
  you should use "0.3-%{X}.a%{?dist}" for EVR.

- But in this case you released 0.3a before releasing 0.3. In that case
  you should use "0.3-0.%{X}.a%{?dist}" for EVR
  (so please chanage %changelog: Correct one is:
----------------------------------------------------------
 Fri Jul 23 2010 rtnpro <rtnpro@gmail.com> 0.3-0.1.b
 - Release version 0.3b
----------------------------------------------------------
  )

And if you release 0.3.1, you don't have to use %{alphatag}
or %{posttag}, and you can use 0.3.1-%{X}%{?dist} for EVR.

Comment 22 Mamoru TASAKA 2010-10-15 18:57:35 UTC
By the way you mean that you want to upload new srpm using
0.3.1 tarball?

Comment 23 Ratnadeep Debnath 2010-10-16 12:06:30 UTC
(In reply to comment #21)
> Well, what is pre-release or post-release is actually what
> the upstream (in this case you).
> - If you once released 0.3 and then released 0.3a, then 0.3a is a
>   post-release of 0.3, and when using 0.3a tarball for rpm,
>   you should use "0.3-%{X}.a%{?dist}" for EVR.
> 
> - But in this case you released 0.3a before releasing 0.3. In that case
>   you should use "0.3-0.%{X}.a%{?dist}" for EVR
>   (so please chanage %changelog: Correct one is:
> ----------------------------------------------------------
>  Fri Jul 23 2010 rtnpro <rtnpro@gmail.com> 0.3-0.1.b
>  - Release version 0.3b
> ----------------------------------------------------------
>   )
Even though it is done, I didn't meant 0.3b to be a pre-release. This was wrong according to the naming system. I want to fix this, rather than sticking to the wrong format of name that I used. Please suggest what to do.
I want to name the versions now on as recommended by Fedora packaging guidelines. Like 0.3.1, 0.3.2, ... , 0.4.0.b, 0.4.1 and so on.

Comment 24 Ratnadeep Debnath 2010-10-16 12:07:16 UTC
(In reply to comment #22)
> By the way you mean that you want to upload new srpm using
> 0.3.1 tarball?

yes

Comment 25 Mamoru TASAKA 2010-10-16 16:04:31 UTC
(In reply to comment #23)
> (In reply to comment #21)
> > Well, what is pre-release or post-release is actually what
> > the upstream (in this case you).
> > - If you once released 0.3 and then released 0.3a, then 0.3a is a
> >   post-release of 0.3, and when using 0.3a tarball for rpm,
> >   you should use "0.3-%{X}.a%{?dist}" for EVR.
> > 
> > - But in this case you released 0.3a before releasing 0.3. In that case
> >   you should use "0.3-0.%{X}.a%{?dist}" for EVR
> >   (so please chanage %changelog: Correct one is:
> > ----------------------------------------------------------
> >  Fri Jul 23 2010 rtnpro <rtnpro@gmail.com> 0.3-0.1.b
> >  - Release version 0.3b
> > ----------------------------------------------------------
> >   )
> Even though it is done, I didn't meant 0.3b to be a pre-release. This was wrong
> according to the naming system. I want to fix this, rather than sticking to the
> wrong format of name that I used. Please suggest what to do.
> I want to name the versions now on as recommended by Fedora packaging
> guidelines. Like 0.3.1, 0.3.2, ... , 0.4.0.b, 0.4.1 and so on.

Just do so from later version. As you already released 0.3b before 0.3,
0.3b must be a pre-release for 0.3 (don't change the already released
one). However from now on you can use
0.4b for post release of 0.4 (however I think 0.4.1 or so is more
understandable).

Comment 26 Mamoru TASAKA 2010-10-29 17:36:23 UTC
Would you update the status of this bug?

Comment 27 Ratnadeep Debnath 2010-10-30 16:46:58 UTC
I restored the changelog version numbers to 0.3b-1 and so on. As you suggested, from now on I will maintain the correct version number as you suggested. I didn't add new changelog for this because there were not much major changes involved.

SPEC Url : http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM url:
http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3-3.fc13.src.rpm

Comment 28 Mamoru TASAKA 2010-10-31 17:43:35 UTC
Please don't use the same EVR (Epoch-Version-Release) even in review
request to avoid confusion. Would you change to -4 and resubmit?

Comment 29 Ratnadeep Debnath 2010-11-01 03:10:23 UTC
(In reply to comment #28)
> Please don't use the same EVR (Epoch-Version-Release) even in review
> request to avoid confusion. Would you change to -4 and resubmit?

SPEC Url : http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM Url: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3-4.fc13.src.rpm

Comment 30 Ratnadeep Debnath 2010-11-01 04:01:20 UTC
SPEC Url : http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM Url: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3.1-1.fc13.src.rpm

SRPM for wordgroupz version 0.3.1

Comment 31 Mamoru TASAKA 2010-11-01 18:56:07 UTC
For 0.3.1-1:

* Sources
--------------------------------------------------------------
67451 2010-10-15 17:24 wordgroupz-0.3.1.tar.gz
67332 2010-10-15 16:42 wordgroupz-0.3.1-1.fc13.src/wordgroupz-0.3.1.tar.gz
--------------------------------------------------------------
  - The source differs between the one in your srpm and the one
    I could download from the URL written in the spec file.
    Would you explain why?

* EVR in %changelog
  - Again, in rpm "0.3b-4 > 0.3-1" but as 0.3.b _was_ released before
    0.3, you should use "0.3-0.4.b", not "0.3b-4" (you can release
    0.3.1b as the post release of 0.3.1, however 0.3b was already
    released before 0.3).

Comment 32 Mamoru TASAKA 2010-11-01 19:17:01 UTC
(Removing NEEDSPONSOR)

Comment 33 Ratnadeep Debnath 2010-11-05 06:48:32 UTC
I updated the EVR for the beta versions in the Changelog. I updated the source package in the SRPM with that in the url.

SPEC Url:http://rtnpro.fedorapeople.org/Packages/SPECS/wordgroupz.spec
SRPM Url: http://rtnpro.fedorapeople.org/Packages/SRPMS/wordgroupz-0.3.1-2.fc13.src.rpm

Can I now make a SCM request for this package?

Comment 34 Mamoru TASAKA 2010-11-05 07:03:32 UTC
Approval is needed for every review request. Please wait
until I check your latest srpm again.

Comment 35 Mamoru TASAKA 2010-11-05 17:23:42 UTC
Okay.

----------------------------------------------------------
   This package (wordgroupz) is APPROVED by mtasaka
----------------------------------------------------------

Comment 36 Ratnadeep Debnath 2010-11-06 16:07:54 UTC
New Package SCM Request
=======================
Package Name: wordgroupz
Short Description: A vocabulary building application
Owners: rtnpro
Branches: F-13 F-14 EL-5
InitialCC: rtnpro

Comment 37 Jason Tibbitts 2010-11-07 15:41:46 UTC
Git done (by process-git-requests).

Comment 38 Ratnadeep Debnath 2010-11-08 03:36:27 UTC
@Mamoru Tasaka
The el-5 build failed for wordgroupz. Please check
http://koji.fedoraproject.org/koji/getfile?taskID=2585997

Error:
+ /usr/bin/python setup.py install --skip-build --root
usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
   or: setup.py --help [cmd1 cmd2 ...]
   or: setup.py --help-commands
   or: setup.py cmd --help
error: option --root requires argument
error: Bad exit status from /var/tmp/rpm-tmp.22660 (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.22660 (%install)

But --root is having $RPM_BUILD_ROOT as argument.

Comment 39 Mamoru TASAKA 2010-11-08 17:19:59 UTC
(In reply to comment #38)
> @Mamoru Tasaka
> The el-5 build failed for wordgroupz. Please check
> http://koji.fedoraproject.org/koji/getfile?taskID=2585997
> 
> Error:
> + /usr/bin/python setup.py install --skip-build --root
> usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
>    or: setup.py --help [cmd1 cmd2 ...]
>    or: setup.py --help-commands
>    or: setup.py cmd --help
> error: option --root requires argument
> error: Bad exit status from /var/tmp/rpm-tmp.22660 (%install)
> RPM build errors:
>     Bad exit status from /var/tmp/rpm-tmp.22660 (%install)
> 
> But --root is having $RPM_BUILD_ROOT as argument.

Well, (as silently written in comment 1), on EPEL5 rpm version
is old and BuildRoot: line cannot be omitted from spec file.

Comment 40 Mamoru TASAKA 2010-11-15 16:44:25 UTC
Would you rebuild this package on koji for F-15/14/13 and
submit push requests on bodhi for F-14/13?

Comment 41 Fedora Update System 2010-11-17 03:41:40 UTC
wordgroupz-0.3.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wordgroupz-0.3.1-2.fc13

Comment 42 Fedora Update System 2010-11-17 03:41:47 UTC
wordgroupz-0.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wordgroupz-0.3.1-2.fc14

Comment 43 Mamoru TASAKA 2010-11-17 18:21:28 UTC
Closing, thank you.

Comment 44 Fedora Update System 2010-11-26 15:42:57 UTC
wordgroupz-0.3.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wordgroupz-0.3.1-3.fc13

Comment 45 Fedora Update System 2010-11-26 15:43:05 UTC
wordgroupz-0.3.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wordgroupz-0.3.1-3.fc14

Comment 46 Fedora Update System 2010-12-05 00:35:35 UTC
wordgroupz-0.3.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 47 Fedora Update System 2010-12-05 00:38:38 UTC
wordgroupz-0.3.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.